ur_rna.Utilities

## Enum CommandLineParser.ParamAffinity

- java.lang.Object
- - java.lang.Enum<CommandLineParser.ParamAffinity>
  - - ur_rna.Utilities.CommandLineParser.ParamAffinity

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CommandLineParser.ParamAffinity>
  Enclosing class:
    CommandLineParser

      public static enum CommandLineParser.ParamAffinity
      extends java.lang.Enum<CommandLineParser.ParamAffinity>

  Describes whether a parameter value is required, optional (allowed), or forbidden (invalid) for a given flag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORBIDDEN` Parameters are not allowed for this flag.
    `OPTIONAL` The flag can have a parameter, but it is optional.
    `REQUIRED` The flag requires a parameter.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandLineParser.ParamAffinity` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CommandLineParser.ParamAffinity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORBIDDEN

          public static final CommandLineParser.ParamAffinity FORBIDDEN

      Parameters are not allowed for this flag.

    - #### OPTIONAL

          public static final CommandLineParser.ParamAffinity OPTIONAL

      The flag can have a parameter, but it is optional.

    - #### REQUIRED

          public static final CommandLineParser.ParamAffinity REQUIRED

      The flag requires a parameter.

  - ### Method Detail

    - #### valueOf

          public static CommandLineParser.ParamAffinity valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static CommandLineParser.ParamAffinity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandLineParser.ParamAffinity c : CommandLineParser.ParamAffinity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared